Adjust product quantity

Increase or decrease product quantity in an office with a reason, the same way as the adjustment on the product profile. The adjustment appears in the Adjustment Report. Office ids are the ones returned by the inventory endpoints, reason ids are the ones returned by GET /inventory/products/{id}/adjustment-reasons for the same office. item_type uses the same names as the inventory quantity. package_id is required when the product is tracked by packages. note is required when the reason has requires_note, destruction is required when the reason has requires_destruction. Returns the product inventory after the adjustment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Product identifier.

Body Params
integer
required

Office to adjust the quantity in.

string
enum
required
string
enum
required
Allowed:
number
required

Positive amount to add or remove: weight in grams for jar and weight_range, otherwise a whole count (min 1).

integer
required

Adjustment reason for this office and direction.

string | null

Up to 255 characters: letters, digits and punctuation marks.

boolean | null

Record the adjustment as an expense. Defaults to true.

integer | null

Package to adjust.

destruction
object | null

Mandated destruction details.

Responses

400

Adjustment not allowed: Safe, office state, Metrc rules

404

Product not found

422

Validation failed

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json